# Practical Discrete Mathematics

<a href="https://www.packtpub.com/product/practical-discrete-mathematics/9781838983147"><img src="https://static.packt-cdn.com/products/9781838983147/cover/smaller" alt="Practical Discrete Mathematics" height="256px" align="right"></a>

This is the code repository for [Practical Discrete Mathematics](https://www.packtpub.com/product/practical-discrete-mathematics/9781838983147), published by Packt.

**Discover math principles that fuel algorithms for computer science and machine learning with Python**

## What is this book about?
Discrete mathematics deals with studying countable, distinct elements, and its principles are widely used in building algorithms for computer science and data science. The knowledge of discrete math concepts can help you understand algorithms, binary, and general mathematics that sit at the core of data-driven tasks.
Practical Discrete Mathematics with Python is a comprehensive introduction for those who are new to the mathematics of countable objects. This book will help you get up to speed with using discrete math principles to take your computer science skills to a more advanced level.

This book covers the following exciting features: 
* Understand the terminology and methods in discrete math and their usage in algorithms and data problems
* Use Boolean algebra in formal logic and elementary control structures
* Implement combinatorics to measure computational complexity and manage memory allocation
* Use random variables, calculate descriptive statistics, and find average-case computational complexity
* Solve graph problems involved in routing, pathfinding, and graph searches, such as depth-first search
* Perform ML tasks such as data visualization, regression, and dimensionality reduction

If you feel this book is for you, get your [copy](https://www.amazon.com/dp/1838983147) today!

<a href="https://www.packtpub.com/?utm_source=github&utm_medium=banner&utm_campaign=GitHubBanner"><img src="https://raw.githubusercontent.com/PacktPublishing/GitHub/master/GitHub.png" alt="https://www.packtpub.com/" border="5" /></a>

## Instructions and Navigations
All of the code is organized into folders. For example, Chapter02.

The code will look like the following:
```
if (test expression)
{
  Statement upon condition is true
}
```

**Following is what you need for this book:**
This book is for computer scientists looking to expand their knowledge of discrete math. Students looking to get hands-on with computer science, mathematics, statistics, engineering, or related disciplines will also find this book useful. Basic programming skills in any language and knowledge of elementary real-number algebra are required to get started with this book.

With the following software and hardware list you can run all code files present in the book (Chapter 1-12).

### Software and Hardware List

| Chapter  | Software required                   | OS required                        |
| -------- | ------------------------------------| -----------------------------------|
| 1 to 12       | Python 3.0 or above                     | Windows, Mac OS X, and Linux (Any) |
| 1 to 12        | Python libraries: NumPy, matplotlib, pandas, scikit-learn, SciPy, seaborn            | Windows, Mac OS X, and Linux (Any) |

We also provide a PDF file that has color images of the screenshots/diagrams used in this book. [Click here to download it](https://static.packt-cdn.com/downloads/9781838983147_ColorImages.pdf).

### Related products <Other books you may enjoy>
* Applying Math with Python [[Packt]](https://www.packtpub.com/product/applying-math-with-python/9781838989750) [[Amazon]](https://www.amazon.com/dp/1838989757)

* Hands-On Mathematics for Deep Learning [[Packt]](https://www.packtpub.com/product/hands-on-mathematics-for-deep-learning/9781838647292) [[Amazon]](https://www.amazon.com/dp/1838647295)

## Get to Know the Authors
**Ryan T. White**
is a Ph.D. in Applied Mathematics. He works as a professor at Florida Institute of Technology and researcher working on authoring educational materials/graphics, financial modeling, statistical modeling, and data science with R, Python, Matlab, and LateX.

**Archana Tikayat Ray**
has an M.S. in Aerospace Engineering from Georgia Institute of Technology and is currently working towards her Ph.D. at the same institution. Her research work is focused on data analysis, visualization, machine learning, and Natural Language Processing.
